//TOUR DATES
var Tour = {
  source : '_data/tour.json',
  stops: null,
  Months: ["", "January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"],
  months: ["", "Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"],
  getStopsTour : function(source, targetdiv) {
    $.getJSON(source, function(data) {

      Tour.stops = data;



      // Reformat dates for display and removal of past dates
      for (var i = 0; i < Tour.stops.length; i++) {
        // Format start date for display
        Tour.stops[i].startdate = (Tour.stops[i].start).split("/");
        Tour.stops[i].startdate = Tour.months[Tour.stops[i].startdate[0]]+' '+Tour.stops[i].startdate[1];
        // Reformat comparison start date for Firefox
        Tour.stops[i].startcheck = (Tour.stops[i].start).split("/");
        Tour.stops[i].startcheck = Tour.Months[Tour.stops[i].startcheck[0]]+' '+Tour.stops[i].startcheck[1]+', 20'+ Tour.stops[i].startcheck[2];

		 //normal display
		 Tour.stops[i].display_startdate= Tour.stops[i].startdate+" - ";
		if ( new Date(Tour.stops[i].startcheck) <= new Date() ) {
		  Tour.stops[i].startdate = 'Now';

	    }
        // Reformat comparison end date for Firefox
        Tour.stops[i].endcheck = (Tour.stops[i].end).split("/");
        Tour.stops[i].endcheck = Tour.Months[Tour.stops[i].endcheck[0]]+' '+Tour.stops[i].endcheck[1]+', 20'+ Tour.stops[i].endcheck[2];
        // Format end date for display
        Tour.stops[i].enddate = (Tour.stops[i].end).split("/");
        Tour.stops[i].enddate = '<span style="display:inline-block;">'+Tour.months[Tour.stops[i].enddate[0]]+' '+Tour.stops[i].enddate[1]+', 20'+ Tour.stops[i].enddate[2]+'</span>';

		//normal display
		 Tour.stops[i].display_enddate= (Tour.stops[i].enddate).split(",")[0];


		 //reformat for display:
		 if ( new Date(Tour.stops[i].startcheck) <= new Date() ) {
			   Tour.stops[i].display_startdate='NOW THRU ';
			   Tour.stops[i].display_enddate= (Tour.stops[i].endcheck).split(",")[0];
		 }
      }

      // Get formatted tour list
      var results = Tour.formatAllTour(Tour.stops);
      $(targetdiv).append(results);

	  //update home page;
	  var updated = Tour.updatetour();


    });
  },
  updatetour: function (){

	  //console.log(Tour.stops.length);
			var today = new Date();
			var currentyear = today.getFullYear();


			var now = new Date();
			var start = new Date(now.getFullYear(), 0, 0);
			var diff = now - start;
			var oneDay = 1000 * 60 * 60 * 24;
			var day = Math.floor(diff / oneDay);


			for(var i=0;i<Tour.stops.length;i++){

				var tour_start=Tour.stops[i].start_doy;
				var tour_end=Tour.stops[i].end_doy;
				var tour_year=Tour.stops[i].year;


				//a better test needed
				//for a tour that starts in december and ends in january
				//crossing the year boundary
				//the below works for the current tour dates.

				//maybe converting test into 2016360 - 2017001
				if(currentyear==tour_year){
				   // test

				    if((day>=tour_start)&&(day<=tour_end)){

						//console.log(Tour.stops[i].city, Tour.stops[i].display_startdate +" "+Tour.stops[i].display_enddate);
						break;
					} else if((day<tour_start)&&(day<tour_end)){

						//console.log(Tour.stops[i].display_startdate +" "+Tour.stops[i].display_enddate);
						break;
					}

				}

			}

			//set home page display City, State, Dates and theater click through button
			/*$("#when").html(Tour.stops[i].display_startdate +" "+Tour.stops[i].display_enddate);
			$(".tourbox-city").html(Tour.stops[i].city);
			$(".tourbox-btn").attr("href",Tour.stops[i].ticket_link);*/





		},
  formatAllTour: function(cities) {
    var list = "";
    for (var stop in cities) {

      // Check if tour dates have passed
      if (new Date(cities[stop].endcheck) >= new Date()) {
        //list += '<a class="pull-right navlink" target="_blank" href="'+ cities[stop].ticket_link +'" onclick="ga(\'send\', \'event\', \'site event\', \'Nav Item Clicked\', \'' + cities[stop].city +'\')">GET TICKETS</a>';
        if( cities[stop].ticket_link != "" ){
          if( cities[stop].onsale === "yes" ) {
            list += '<nav class="tour-stop hidden-xs ij-effect-20"><a class="get-tickets" href="'+ cities[stop].ticket_link + '" target="_blank"><span class="hidden-xs" data-hover="GET TICKETS">GET TICKETS</span></a></nav>';
          } else {
            list += '<nav class="tour-stop hidden-xs ij-effect-20"><a class="get-tickets" href="'+ cities[stop].ticket_link + '" target="_blank"><span class="hidden-xs" data-hover="MORE INFO">MORE INFO</span></a></nav>';
          }
        }

        list += '<p class="clearfix ' + cities[stop].id + '">';
        list += '<span class="city">' + cities[stop].city +'</span>';

        if(cities[stop].city === "Wilmington, NC") {
          list += '<span class="date">Oct 18, 2022<br /><span class="venue"'  + cities[stop].theatre_name + '</span></span>';
        } else if (cities[stop].city === "Orange, TX") {
          list += '<span class="date">May 1, 2023<br /><span class="venue"'  + cities[stop].theatre_name + '</span></span>';
        } else if (cities[stop].city === "Athens, GA") {
          list += '<span class="date">Oct 4, 2022<br /><span class="venue"'  + cities[stop].theatre_name + '</span></span>';
        } else if (cities[stop].city === "Easton, PA") {
          list += '<span class="date">Nov 3, 2023<br /><span class="venue"'  + cities[stop].theatre_name + '</span></span>';
        } else if (cities[stop].city === "Springfield, IL") {
          list += '<span class="date">Nov 22, 2022<br /><span class="venue"'  + cities[stop].theatre_name + '</span></span>';
        } else if (cities[stop].city === "Paducah, KY") {
          list += '<span class="date">Mar 6, 2023<br /><span class="venue"'  + cities[stop].theatre_name + '</span></span>';
        } else if (cities[stop].city === "Tyler, TX") {
          list += '<span class="date">May 4, 2023<br /><span class="venue"'  + cities[stop].theatre_name + '</span></span>';
        } else if (cities[stop].city === "Columbus, GA") {
          list += '<span class="date">May 6, 2023<br /><span class="venue"'  + cities[stop].theatre_name + '</span></span>';
        } else {
          list += '<span class="date">'+ cities[stop].startdate + ' - '+ cities[stop].enddate + '<br /><span class="venue"'  + cities[stop].theatre_name + '</span></span>';
        }

        list += '<span class="venue">'+ cities[stop].theatre_name + '</span>';

        if( cities[stop].ticket_link != "" ){
          if( cities[stop].onsale === "yes" ) {
            list += '<a class="get-tickets visible-xs mobile-tix" href="'+ cities[stop].ticket_link + '" target="_blank">GET TICKETS</span></a></p></div>';
          } else {
            list += '<a class="get-tickets visible-xs mobile-tix" href="'+ cities[stop].ticket_link + '" target="_blank">MORE INFO</span></a></p></div>';
          }
        }
      }
    }

    return list;
  }
};

// jQuery Namespace
$ (document).ready (function () {"use strict";
    Tour.getStopsTour(Tour.source, "#tour-list");
    function twoYear () {
      $('.washingtondc > .date').html("Dec 18, 2018 - Jan&nbsp;6,&nbsp;2019");
    }

    //setTimeout(twoYear, 1000);
});
