<section id="faq">
  <h1>Frequently Asked Questions</h1>
  <div class="container faq">
    <h2>General Info</h2>

    <div class="faq-item">
      <span class="question">What is the performance schedule?</span>
      <span class="answer">The performance schedule varies. Please see the <a href="./tickets">ticketing calendar</a> for the most up-to-date schedule.</span>
    </div>


    <div class="faq-item">
      <span class="question">What is the running time?</span>
      <span class="answer"><em>TOOTSIE</em> is approximately 2 hours and 35 minutes, including one intermission.</span>
    </div>


    <div class="faq-item">
      <span class="question">Is there an age limit/recommendation?</span>
      <span class="answer"><em>TOOTSIE</em> is recommended for ages 10 and older. Children under the age of 4 are not permitted in the theatre.</span>
    </div>


    <div class="faq-item">
      <span class="question">What should I wear to the show?</span>
      <span class="answer">There is no specific dress code. Formal attire is not required.</span>
    </div>


    <div class="faq-item">
      <span class="question">Who do I contact for press-related inquiries?</span>
      <span class="answer">For press-related inquiries only, please email <a href="mailto:contact@polkandco.com">contact@polkandco.com</a>.</span>
    </div>


    <h2>Tickets Info</h2>
    <div class="faq-item">
      <span class="question">I have a ticketing question. Who can I contact?</span>
      <span class="answer">For all ticketing questions, contact <a href="https://www.ticketmaster.com/h/customer-service.html?tm_link=help_nav_4_contact" target="_blank">Ticketmaster</a> at <span class="nowrap">877-250-2929</span>.</span>
    </div>


    <div class="faq-item">
      <span class="question">How far in advance can I purchase tickets?</span>
      <span class="answer">Tickets are now on sale through <span class="nowrap">April 19, 2020.</span> <a href="./tickets" class="nowrap">Click here</a> for more info.</span>
    </div>

    <div class="faq-item">
      <span class="question">What’s the best way to get tickets?</span>
      <span class="answer">Be sure to purchase tickets from official sources to avoid overpriced or counterfeit tickets. Book online at <a href="https://www.ticketmaster.com/new/tootsie-ny-tickets/artist/2532136" target="_blank">Ticketmaster.com</a> or call Ticketmaster at 877-250-2929.</span>
    </div>

    <div class="faq-item">
      <span class="question">Are group tickets available?</span>
      <span class="answer">For information or to purchase tickets for groups of 10 or more, contact Broadway Group Sales. Call 1-800-BROADWAY x2 or <a href="https://www.broadway.com/shows/tootsie/groups/" target="_blank">book online</a>.</span>
    </div>

    <div class="faq-item">
      <span class="question">How can I get the best seats?</span>
      <span class="answer">Make sure you're the best seats by purchasing <strong>premium tickets</strong>. <a href="https://www.ticketmaster.com/new/tootsie-ny-tickets/artist/2532136" target="_blank" class="nowrap">Click here</a> to buy now.</span>
    </div>

  </div>
</section>
