// NAMESPACE FOR SCHEDULE FUNCTIONS
var months = ["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"];

// get today's date
var d = new Date();
var m = d.getMonth();
var y = d.getFullYear();
var ind = 1; // starting index number (for select operations)
var numMonths = 12; // number of months to be generated SR

/*if (COMMONUTILS.currentLoc == "landing.php") {
  var numMonths = 2;
}*/

var calText = "";
document.getElementById("calendar").innerHTML = calText;

for (i = 0; i < numMonths; i++) {

  var monSelect = '<select id="month-select"><optgroup>';

    for (j = 2; j < numMonths; j++) {
      monSelect += "<option class='options' value='" + months[j] + "'>" + months[j] + " " + y + "</option>";
    }

  monSelect += "</optgroup></select>";

  var numDays = new Date(y, (m+1), 0).getDate();

  var first = new Date(y,m,1);

  var frontpad = first.getDay();
  var afterpad = (7 - ((frontpad + numDays) % 7)) % 7;
    if(months[m] === "March") {
      calText = '<div class="month row-fluid ' + months[m] + ' active"><div class=\"cal-prev\">&lt;</div><div class=\"cal-next\">&gt;</div>' + monSelect + '<div class="day-wrapper" style="display:block;"><div class="day">Sun</div><div class="day">Mon</div><div class="day">Tue</div><div class="day">Wed</div><div class="day">Thu</div><div class="day">Fri</div><div class="day">Sat</div>';
    } else {
      calText = '<div class="month row-fluid ' + months[m] + '"><div class=\"cal-prev\">&lt;</div><div class=\"cal-next\">&gt;</div>' + monSelect + '<div class="day-wrapper"><div class="day">Sun</div><div class="day">Mon</div><div class="day">Tue</div><div class="day">Wed</div><div class="day">Thu</div><div class="day">Fri</div><div class="day">Sat</div>';
    }


  for (j = 1; j <= frontpad; j++) {
    calText += '<div class="off_set">&nbsp;</div>';
  }

  for (j = 1; j <= numDays; j++) {
    if (m < 9) {
      if (j <= 9) {
         var thisDate = y + "-0" + (m+1) + "-0" + j;
      } else {
        var thisDate = y + "-0" + (m+1) + "-" + j;
      }
    } else {
      if (j <= 9) {
        var thisDate = y + "-" + (m+1) + "-0" + j;
      } else {
        var thisDate = y + "-" + (m+1) + "-" + j;
      }
    }
    calText += '<div class="'+thisDate+'"><p class="date">' + j + '</p>';
    //calText += "<div class=\"day active "+thisDate+" ind"+ind+"\" data-date=\""+thisDate+"\" data-ind=\""+ind+"\"><span class=\"num\">" + j + "</span></div>";
      calText += '</div>';
    ind++;
  }

  for (j = 1; j <= afterpad; j++){
    calText += '<div class="off_set">&nbsp;</div>';
  }

  calText +=  '</div></div>';

  m++;

  if (m==12) {
    m = 0;
    y++;
  }

  document.getElementById("calendar").innerHTML += calText;

  calText = "";

}

var SCHEDULE = {

  // JSON results for show dates and times will be stored here
  Times : null,
  Avail : null,

  // Get JSON file, call appropriate parsing function after
  Fetch : function (source, callback) {
      jQuery.getJSON (source, function (data) {

          // Format dates if Ticketmaster calendar
          if (data.contents) {
              SCHEDULE.Times = data.contents;
              for (key in SCHEDULE.Times) {
                  var thisKey = SCHEDULE.Times[key].event_SEO_name;
                  if(thisKey){
                    var thisDate = thisKey.slice(-10).split ("-");
                    SCHEDULE.Times[key].date = thisDate [2] + '-' + thisDate [0] + '-' + thisDate [1];
                  }
              }
          } else {
              SCHEDULE.Times = data;
          }
          callback ();
      });
  },


  // Initalize calendar in container, pass it parsed events list array with
  // ticket links
  Populate : function (container, eventslist) {

      // Figure out first and last performances
      var maxdate = new Date (SCHEDULE.Times [SCHEDULE.Times.length - 1].date);
      var mindate;
      if (new Date (SCHEDULE.Times [0].date) >= new Date ()) {
          mindate = new Date (SCHEDULE.Times [0].date);
      } else {
          mindate = new Date ();
      }

      for (var i = 0; i < eventslist.length; i++) {

        var eventDate = "." + eventslist[i].start.slice(-10);
        var eventTime = eventslist[i].title.slice(0, -2);
        var typeShow = eventslist[i].className;

        /*if (eventTime === "2:00" || eventTime === "3:00" || eventTime === "1:00") {
          typeShow = "mat";
        } else {
          typeShow = "eve";
        }*/
        var eventInfo = "<span class='event num" + (i + 1) + " " + typeShow + "'><a onclick=\"gtag('event', 'ticket click', { 'event_category': ''Ticketmaster " + eventDate + " " + eventTime + "'' });\" target='blank' class='showlink' data-showdate='" + eventslist[i].cleanDate + "' data-showtime='" + eventTime + "' href='"+ eventslist[i].url +"'>" + eventTime + "</a></span>";
        jQuery('.month').find(eventDate).append(eventInfo);
      }

  },

  // TICKETMASTER LINK FORMATTING
  // Call this for Ticketmaster calendars with direct performance ticket links
  Ticketmaster : function (container) {

      var eventslist = [];

      //Date fix
      var calDate = new Date();
      calDate.setDate(calDate.getDate() - 1);

      // Format events for calendar
      for (var i = 0; i < SCHEDULE.Times.length; i++) {

          var month = SCHEDULE.Times[i].event_month;
          if (month < 10) {
              month = "0" + month;
          }
          var date = SCHEDULE.Times[i].event_day;
          if (date < 10) {
              date = "0" + date;
          }
          var year = SCHEDULE.Times[i].event_year;
          var showDate = year + "-" + month + "-" + date;

          var timeOfDay = SCHEDULE.Times[i].event_time;
          var showType;
          if( timeOfDay === "01:00 PM" || timeOfDay === "02:00 PM" || timeOfDay === "03:00 PM" ) {
            showType = 'mat';
          } else {
            showType = 'eve';
          }

          if (calDate <= new Date (SCHEDULE.Times [i].date)) {
              eventslist.push ({
                  start : SCHEDULE.Times [i].date,
                  url : 'https://www1.ticketmaster.com/tootsie-ny/event/' + SCHEDULE.Times [i].event_id,
                  title : SCHEDULE.Times [i].event_time.slice (-7), type : "Ticketmaster",
                  className: showType
              });

          }
      }

      SCHEDULE.Populate (container, eventslist);
  }

};

jQuery(document).ready(function(){

  /* --- CAL FUNCTIONS --*/
      var curMonth = 1;
      var curDate = "";
      var numViewable = 1; // number of months that should be viewable at one time

      for (i=curMonth;i<=(curMonth+numViewable-1);i++) {
        $(".month:nth-child("+i+")").addClass("active");
      }

      $(".cal-next, .cal-prev").click(function(e){

        e.preventDefault();

        $(".month").removeClass("active");

        if( $(this).hasClass("cal-next") ){

          curMonth++;
          if( curMonth == 2 ){ $(".cal-prev").show(); }
          if( (curMonth+numViewable-1) == $(".month").length ){ $(".cal-next").hide(); }
          if( curMonth == 1){ $('.cal.prev').hide(); }

        } else {

          curMonth--;
          if( curMonth == 2 ){ $(this).hide(); }
          if( (curMonth+numViewable-1) == ($(".month").length - 1) ){ $(".cal-next").show(); }
          if( curMonth == 2){ $('.cal.prev').hide(); }
        }

        for (i=curMonth;i<=(curMonth+numViewable-1);i++) {
          $(".month:nth-child("+i+")").addClass("active");
        }

      });

      SCHEDULE.Fetch("./_inc/cal.php?url=https://qa.spotcointeractive.com/websites/tootsie/_data/tkt_data.json", function(){
        SCHEDULE.Ticketmaster("#calendar");
      });

      function adjustLink() {
        var numShows;
        $( ".day" ).each(function() {
          var numShows = $(this).children('span.event').length;
          if(numShows === 1) {
            $(this).children('.eve').addClass("oneShow");
            $(this).children('.mat').addClass("oneShow");
          } else if(numShows === 2){
            $(this).children('.eve').addClass("secShow");
            $(this).children('.mat').addClass("firShow");
          } else {
            $(this).addClass('noshow');
          }
        });
      }
      setTimeout(adjustLink, 500);

      $('.question').on( "click", function(e) {
        e.preventDefault();
        console.log($this.parent('.faq-item'));
        if($(this).parent('.faq-item').hasClass('active')) {
          $(this).parent('.faq-item').removeClass('active');
        } else {
          $('.faq-item').removeClass('active');
          $(this).parent('.faq-item').addClass('active');
        }
      });

      $('#month-select').on('change', function() {
        if ( this.value == 'April') {
          $('.month').removeClass('active');
          $(".April").addClass('active');
        } else if ( this.value == 'March') {
          $('.month').removeClass('active');
          $(".March").addClass('active');
        } else if ( this.value == 'May') {
          $('.month').removeClass('active');
          $(".May").addClass('active');
        } else if ( this.value == 'June') {
          $('.month').removeClass('active');
          $(".June").addClass('active');
        }
    });

      /*jQuery(document).on("click", ".month h3", function(e){
        e.stopPropagation();
        e.preventDefault();
        if( jQuery(this).parents(".month").hasClass("active") ){
          jQuery(this).parents(".month").removeClass("active");
          jQuery(this).parents(".month").children(".day-wrapper").slideUp();
        } else {
          jQuery(this).parents(".month").addClass("active");
          jQuery(this).parents(".month").children(".day-wrapper").slideDown();
        }
      });*/
  });
