<section id="privacy">
  <div class="container">
  <a id="privacy-back" class="back" href="./">&#8592; Back</a>
  <h1>Privacy Policy</h1>

<h3>LAST UPDATED AND EFFECTIVE AS OF: DECEMBER 1, 2023 </h3>
<h3>PLEASE READ THE FOLLOWING TERMS CAREFULLY BEFORE USING THIS WEBSITE. </h3>
<br>

<p>This website is provided by The SpotCo o/b/o Tootsie On Tour LLC. By visiting this website, you consent and agree to the terms of this Privacy Policy and to the collection, use and storage of your information by us. From time to time, we may change this Privacy Policy and when we do, the “Last Updated” line above will be revised. Your continued use of this website following the posting of a changed Privacy Policy indicates your acceptance of the changes and no changes to our Privacy Policy will apply retroactively. Our Privacy Policy does not apply to any information collected by any third party (including our affiliates and subsidiaries), including through any application or content (including advertising) that may link to or be accessible from or on the website.  </p>

<h2>What Personal Information do we collect?</h2>

<p>We collect Personal Information that you provide when you register on our website, subscribe to e-mail and/ or mobile message communications, purchase tickets and information as you automatically navigate through the website (e.g. cookies). As appropriate, when ordering or registering on our website, you may be asked to enter your: name, e-mail address, mailing/ billing address, mobile number, etc. (“Personal Information”).  </p>

<p>If you subscribe to receive mobile messages from us, you acknowledge and agree: that we are authorized to send you messages which may include news, promotions and offers at the number you provide for such purposes until you opt-out; you are at least 18 years old; you are the owner or authorized user of the wireless device number you provide to us; your wireless carrier’s standard messaging rates apply. </p>

<p>To the extent that we are offering services or merchandise to purchase, we will collect your credit card number, billing address and other information related to such purchase (collectively, “Payment Information”) from you. We will use the Payment Information for billing and fulfillment purposes. By providing your Payment Information, you are authorizing us to share such information with certain third parties for these purposes (e.g., to process your credit card or payment account number and to send you products you have ordered). </p>

<p>Our website is not developed with the intention that it will be used by minors. No Personal Information should be submitted to or posted on this website by those under 13 years of age without the consent of their parent or guardian. We encourage parents to take an active role in their children’s use of the Internet, and to inform them of the dangers of providing Personal Information about themselves over the Internet.</p>

<p>The legal basis for our processing of your Personal Information and Payment Information is that it is either processed with your consent, for a legitimate interest or necessary for the performance and fulfillment of the contract between us and to provide you with our services.  </p>

<h2>What do we use your Personal Information for?</h2>

<p>Personal Information may be used to a) provide and improve our website and our service; b) administer use of the website and service; c) provide news, updates, offers, promotions, contests and product announcements and opportunities that may be of interest to you. If you no longer wish to receive communications from us please see the opt-out instructions further described in this Privacy Policy.</p>

<h2>How do we protect your Personal Information?</h2>

<p>We implement a variety of security measures to maintain the safety of your Personal Information when you enter, submit, or access your Personal Information. Although we do our best to protect your Personal Information, we cannot guarantee the security of your Personal Information transmitted to our website. Any transmission of Personal Information is at your own risk. We are not responsible for circumvention of any privacy settings or security measures contained on the website. </p>

<h2>Do we use cookies?</h2>

<p>Our website uses “cookies” to enhance your user experience. A cookie is a small file placed on the hard drive of your computer. You may refuse to accept web browser cookies by activating the appropriate setting on your web browser. We use cookies to compile aggregate data about website traffic and website interaction so that we can offer better website experiences and tools in the future. We may contract with third-party service providers to assist us in better understanding our website visitors. These service providers are not permitted to use the Personal Information collected on our behalf except to help us conduct and improve our business.</p>

<h2>How long do we retain your Personal Information?</h2>

<p>We will retain your Personal Information for as long as your account is active or as needed to provide you with the website and for a reasonable time thereafter in accordance with our standard procedures or as necessary to comply with our legal obligations, to resolve disputes, and to enforce our agreements. Even if we delete some or all of your Personal Information, we may continue to retain and use aggregate or anonymous data previously collected and/or anonymize or aggregate your Personal Information. Please note that we will not be liable for disclosures of your data due to errors or unauthorized acts of third parties.</p>

<h2>Do we disclose any Personal Information to outside parties?</h2>

<p>We may share your Personal Information in connection with other productions, promotions, contests/ sweepstakes, cultural institutions and/or live events as well as with third parties who assist us in operating our website, conducting our business, or servicing you. To the extent any contest/ sweepstake rules conflict with this Privacy Policy, the rules of the particular contest/ sweepstake shall apply. We may also release your Personal Information when we believe release is appropriate to comply with the law, enforce our website policies, or protect ours or others rights, property, or safety. The Personal Information that you provide may be used to show you relevant content in which you may be interested in or in order to enhance your experience on other websites and mailing lists that are a part of our business or affiliates. Any e-mail correspondence or mobile message sent to you will give you the opportunity to choose not to receive such correspondence in the future. Please note that such sharing Personal Information may involve the collection, use, storage, or disclosure of information outside the US.  FOR CANADIANS: Please note that such sharing may involve the collection, use, storage or disclosure of Personal Information outside of Canada in the U.S. and therefore your Personal Information may be subject to access under the laws of that jurisdiction.</p>

<p>Our website may integrate with social networking services. You understand that we do not control such services and are not liable for the manner in which they operate. While we may provide you with the ability to use such services in connection with our website, we are doing so merely as an accommodation and, like you, are relying upon those third-party services to operate properly and fairly.</p>

<h2>Do I have an opportunity to opt-out of receiving future communications? </h2>

<p>Yes, when you supply us with Personal Information, such as your e-mail address or mobile number, you will be automatically enrolled to receive future communications from us in connection with our website, services, affiliates, advertisers and/or partners. If you no longer desire to receive such communications, you will be given the opportunity to opt out either by following the instructions at the bottom of the e-mail correspondence or for mobile messages you can respond to the text with “unsubscribe” or “stop”. You may also e-mail us at: <a href="mailto:privacy@tootsie.com" target="_blank">privacy@tootsie.com</a>. It may take up to 10 days for us to process an opt-out request. However, we are not responsible for removing your Personal Information from the lists of any third party who has previously been provided with your Personal Information or is collecting your Personal Information through their cookies. </p>

<h2>Do I have the ability to update, access or delete my Personal Information? </h2>

<p>This website gives you the following options for changing and modifying Personal Information previously provided by e-mailing <a href="mailto:privacy@tootsie.com" target="_blank">privacy@tootsie.com</a>. To the extent that such information is stored in our databases, we will respond to your changes as soon as reasonably possible. Please note that although this information will not be available on our website after you delete it, the information may remain stored indefinitely in our archival records for legal and accounting purposes.</p>

<h2>Third party links</h2>

<p>Occasionally, at our discretion, we may include or offer third party products or services on our website. These third-party websites have separate and independent privacy policies. We therefore have no responsibility or liability for the content and activities of these linked websites.</p>

<h2>California Online Privacy Protection Act Compliance</h2>

<p>We value your privacy and have taken the necessary precautions to be in compliance with the California Online Privacy Protection Act.</p>

<h2>General Data Protection Regulation Compliance</h2>

<p>We value your privacy and have taken the necessary precautions to be in compliance with the General Data Protection Regulation. For European Union residents, please click <a href="./gdpr">HERE</a> for a GDPR-compliant Privacy Policy.</p>

<h2>Contacting Us</h2>

<p>If there are any questions regarding this privacy policy you may contact us at this email address: <a href="mailto:privacy@tootsie.com" target="_blank">privacy@tootsie.com</a></p>

<h2>Your Consent</h2>

<p>By using our site, you consent to our online privacy policy.</p>

<h2>Changes to our Privacy Policy</h2>

<p>If we decide to change our privacy policy, we will post those changes on this page.</p>
  </div>
</section>
