<?php

    $full_url = explode("?",$_SERVER['REQUEST_URI']);
		$query = $full_url[1];
		$url = $full_url[0];
    $url = explode("/",$url);

		if( strpos($_SERVER['SERVER_NAME'],'spotcointeractive') ):
      // staging
  		$base = "https://qa.spotcointeractive.com/websites/tootsie/";
  		$page = $url[3];

		elseif( strpos($_SERVER['REQUEST_URI'],'websites') ):
      // local dev
  		$base = "http://localhost:".$_SERVER['SERVER_PORT']."/websites/tootsie/";
  		$page = $url[3];

		else:
      // production
  		$base = "https://tootsiemusical.com/";
  		$page = $url[1];

		endif;

		if ($page == "") $page = 'home';

?>
<!DOCTYPE html>
<html lang="en">
<head>
<!-- Google Tag Manager -->
<script>(function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start':
new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0],
j=d.createElement(s),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src=
'https://www.googletagmanager.com/gtm.js?id='+i+dl;f.parentNode.insertBefore(j,f);
})(window,document,'script','dataLayer','GTM-PXV5ZWQ');</script>
<!-- End Google Tag Manager -->
<meta charset="utf-8">

<!-- HEAD -->
<?php include '_inc/head.php'; ?>
<!-- END HEAD -->

</head>

<body class="<?php echo $page ?>">
<?php include '_inc/analytics-inline.php'; ?>

<!-- OUTERWRAPPER -->
<div id="outerwrapper" >

<!-- HEADER -->
<?php include '_inc/page-header.php'; ?>
<!-- END HEADER -->

<!-- SITE CONTENT -->
<div id="content">
<?php include '_pages/'.$page.'.php'; ?>
</div>
<!-- END SITE CONTENT -->

<!-- FOOTER -->
<?php include '_inc/page-footer.php'; ?>
<!-- END FOOTER -->

</div>
<!-- END OUTERWRAPPER -->

<!--FORM MODAL-->
<div class="form-overlay">
	<div id="form-modal">
	   <div class="form-content">
			 	<a href="#" class="form-close">X</a>
	      <?php include '_inc/optin_form.php'; ?>
			</div>
	</div>
</div>

<!-- VIDEO MODAL -->
<div id="video-modal" class="modal">
	<a href="#" class="modal-close" style="font-size:240%;"><i class="fa fa-times" aria-hidden="true"></i></a>
	<div class="modal-body">
		<div class="t"><div class="tc">
			<div class="video-container"></div>
		</div></div>
	</div>
</div>

<!--BLUE LIGHT MODAL
<div id="popup-blue">
  <div id="blue-popup">
    <a href="#" class="modal-close"><i class="fas fa-times"></i></a>
    <div class="modal-block">
      <img src="_img/lightblue.jpg" class="w100">
    </div>
  </div>
</div>
END MODAL -->



<!-- SCRIPTS -->
<?php include '_inc/scripts.php'; ?>
<!-- END SCRIPTS -->

<!-- ANALYTICS BOTTOM -->
<?php include '_inc/analytics-bottom.php'; ?>
<!-- END ANALYTICS BOTTOM -->
</body>
</html>
